# vim: set ts=4 sw=4 et:
# Copyright (c) 2008-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Summary:        MPEG Support Plugin for OGMRip
Name:           ogmrip-mpeg
Version:        0.2
Release:        pm153.7.5
# http://prdownloads.sourceforge.net/ogmrip/ogmrip-mpeg-%{version}.tar.gz
Source0:        ogmrip-mpeg-%{version}.tar.bz2
License: GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://ogmrip.sourceforge.net/
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(ogmrip)
BuildRequires:  pkgconfig(ogmrip-gtk)
Requires:       dvdauthor
Requires:       mjpegtools
Requires:       ogmrip

%description
A mpeg OGMRip plugin.

%prep
%autosetup -p1

%build
sed -i~ '
/^CFLAGS/d
/^LDFLAGS/d
' configure.in
diff -u "$_"~ "$_" && exit 1
autoreconf -fiv
# not required at build time.
export MPLEX_PROG=/bin/true
autoreconf -fiv
export CFLAGS='%{optflags} -Wno-deprecated-declarations'
%configure \
    --enable-static=no
%make_build

%install
%make_install \
    	video_codecsdir=%{_libdir}/ogmrip/video-plugins \
    	options_plugindir=%{_libdir}/ogmrip/options-plugins \
    	containersdir=%{_libdir}/ogmrip/container-plugins

find '%{buildroot}%{_libdir}' -type f \( -name '*.la' -o -name '*.h' \) -delete -print

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog
%{_bindir}/spumux.sh
%dir %{_libdir}/ogmrip
%dir %{_libdir}/ogmrip/container-plugins
%{_libdir}/ogmrip/container-plugins/libogmrip-mpeg.so
%dir %{_libdir}/ogmrip/video-plugins
%{_libdir}/ogmrip/video-plugins/libogmrip-lavc-mpeg1.so
%{_libdir}/ogmrip/video-plugins/libogmrip-lavc-mpeg2.so
%dir %{_libdir}/ogmrip/options-plugins
%{_libdir}/ogmrip/options-plugins/libogmrip-mpeg-options.so
%dir %{_datadir}/ogmrip
%{_datadir}/ogmrip/%{name}.glade
%dir %{_datadir}/ogmrip/profiles
%{_datadir}/ogmrip/profiles/profiles-mpeg.xml

%changelog
* Sun May  6 2012 seife+obs@b1-systems.com
- add mjpegtools buildrequires to fix build
* Mon Oct 19 2009 toni@links2linux.de
- update to 0.2
* Tue Dec 23 2008 toni@links2linux.de
- rebuildwith new libdvdread(-devel)
* Wed Jul 16 2008 toni@links2linux.de
- initial package for 0.1
